<%--List8_1_1.jsp--%>
<%@ page import="java.io.File"%>
<%@ page contentType="text/html;charset=GB2312" language="java" %>
<html>
  <head><title>遍历文件目录</title></head>
  <body>
  <%!
      public  void travelDirectory(String directory)
      {
          File dir = new File(directory);
          if(dir.isFile())           //判断是否是文件，如果是文件则返回。
              return;
          File [] files=dir.listFiles();       //列出当前目录下的所有文件和目录
          for(int i=0;i<files.length;i++)
          {
              if(files[i].isDirectory())      //如果是目录，则继续遍历该目录
                  travelDirectory(files[i].getAbsolutePath());
              System.out.println( files[i].getName());   //输出该目录或者文件的名字
          }
      }
  %>
  <%
      //将当前web程序目录结构输出到控制台
      String dir=pageContext.getServletContext().getRealPath(".");
      System.out.println("--------------------------------");
      travelDirectory(dir);
      System.out.println("--------------------------------");
  %>
  </body>
</html>